# Namso-Gen

![SimpleYTDL Logo](https://sg-res.9appsdownloading.com/sg/res/jpg/95/ce/7c0a8fda3b140cee93bdccc89f40-2n51.jpg?x-oss-process=style/mq200)

Generate random test credit card numbers for testing, validation and/or verification purposes. The Namso-Gen random test credit card entry system provides numbers are needed to test owned credit card systems and for research purposes. These numbers are not valid and do not enable transactions. The generator uses the Luhn algorithm.

# HOW TO INSTALL?
```
npm i namso-cc-gen
```

# Require to export function
```js
//CommonJS
const namso = require('namso-cc-gen');
```

## SIMPLE USAGE
### usage of `gen()`
```js
const namso = require('namso-cc-gen');

let res = namso.gen({
 ShowCCV: true,
 CCV: "999",
 ShowExpDate: true,
 ShowBank: false,
 Month: "01",
 Year: "2022",
 Quantity: "10",
 Bin: "5254xxxxxxxxxxxx",
 Format: "PIPE"
})
console.log(res)
```

# Sample Sucess Response
```js
//PIPE RESPONSE
5254460031640046|01|2022|999
5254078567780281|01|2022|999

//CSV RESPONSE
5254785172382671, 999, 01/2022
5254527764283317, 999, 01/2022

//XML RESPONSE
<xml>
<CreditCard>
<CardNumber>5254881033324265</CardNumber>
<CardCCV2>999</CardCCV2>
<CardExpDate>01/2022</CardExpDate>
</CreditCard>
<CreditCard>
<CardNumber>5254180230550511</CardNumber>
<CardCCV2>999</CardCCV2>
<CardExpDate>01/2022</CardExpDate>
</CreditCard>
</xml>

//JSON RESPONSE
{
{
"CreditCard":{
"CardNumber": "5254765208224550"
"CardCCV2": "999"
"CardExpDate": "01/2022"
}
},
{
"CreditCard":{
"CardNumber": "5254811860554320"
"CardCCV2": "999"
"CardExpDate": "01/2022"
}
}
}
```

# All Params
Params | Is Required | Type | Explanation | Sample
--- | --- | --- | --- | ---
`ShowCCV` | yes | *boolean* | show ccv on results | ShowCCV: true
`CCV` | yes | *string* | it can be filled up to 4 digit ccv/just type `rnd` to randomize | CCV: "rnd"
`ShowExpDate` | yes | *boolean* | show expiration date on results | ShowExpDate: true
`ShowBank` | yes | *boolean* | show bank type on results | ShowBank: false
`Month` | yes | *string* | string value that ranges from `01-12` or `rnd` to randomize | Month: "01"
`Year` | yes | *string* | string value that can be filled or randomize | Year: 'rnd'
`Quantity` | yes | *string* | string value that represents the quantity/number of ccn to be generated | Quantity: "5"
`Bin` | yes | *string* | string value for a BIN or Bank Identification Number has `xxx` | Bin: "5254xxxxxxxxxxxx"
`Format` | yes | *string* | the default format is `PIPE` and others are `CSV`, `XML` and `JSON` | Format: "PIPE"
`rnd` | optional | *string* | example if you want to randomize the CCV | CCV: "rnd"